Subject: bug#48564: ‘channel-with-substitutes-available’ makes assumptions about job names

From: Ludovic Courtès <[email-masked]>
Date: Fri, 21 May 2021 16:30:22 +0200

Hi,

Mathieu Othacehe <[email-masked]> skribis:

>> Wouldn’t it be enough to look for the latest completed evaluation (of a
>> given jobset)?
>
> I guess it would be enough but we would need to specify the jobset that
> needs to be used, this way maybe:
>
> (define* (channel-with-substitutes-available chan url
>                                              #:key
>                                              (specification "master"))

Sure, SGTM.

> this would also allow me to simplify this patchset:
> https://issues.guix.gnu.org/47929.

Oh nice, I had completely overlooked that one!  I’ll take a look.

Thank you,
Ludo’.